// Copyright (C) 2014 by Karlsruher Institut fuer Technologie (KIT), Institut fuer Mess- und Regelungstechnik
// 
// Author: Benjamin Ranft (benjamin.ranft@web.de)
// 
// This file is part of arDroneManual/Autonomous.
// 
// arDroneManual/Autonomous is free software: you can redistribute it and/or modify it under the terms of the GNU 
// General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your 
// option) any later version.
// 
// arDroneManual/Autonomous is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
// 
// You should have received a copy of the GNU General Public License along with arDroneManual/Autonomous. If not, see 
// <http://www.gnu.org/licenses/>.


// wrapper for more convenient use of ROS service "/ardrone/setledanimation"
// =========================================================================
#pragma once

#include <ardrone_autonomy/LedAnim.h>

// readable values of "ardrone_autonomy::LedAnimRequest::type": The names below have just been copied from 
//                                                              "ardrone_autonomy/srv/LedAnim.srv"
enum LEDAnimType {
	ledBlinkGreenRed     =   0,
	ledBlinkGreen        =   1,
	ledBlinkRed          =   2,
	ledBlinkOrange       =   3,
	ledSnakeGreenRed     =   4,
	ledFire              =   5,
	ledStandard          =   6,
	ledRed               =   7,
	ledGreen             =   8,
	ledRedSnake          =   9,
	ledBlank             =  10,
	ledLeftGreenRightRed =  11,
	ledLeftRedRightGreen =  12,
	ledBlinkStandard     =  13,
} ;
